%def_without M24

%if_with M24
%define _release alt1.M24.1
%else
%define _release alt2
%endif

Name: linpopup
Version: 2.0.7
Release: %_release
Packager: Grigory Batalov <bga@altlinux.ru>

Summary: Linux enhanced port of winpopup
Summary(ru_RU.KOI8-R):   winpopup  Linux
License: GPL
Group: Networking/Instant messaging
Url: http://linpopup2.sourceforge.net
Icon: linpopup.gif

Source: %name-%version.tar.bz2
Source1: %name-16x16.xpm.bz2
Source2: %name-32x32.xpm.bz2
Source3: %name-64x64.xpm.bz2

Provides: LinPopUp = %version
Obsoletes: LinPopUp

# Automatically added by buildreq on Fri Nov 14 2003
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 glib2-devel libatk-devel libexpat libgtk+2-devel libpango-devel pkgconfig

%description
LinPopUp is a Xwindow graphical port of Winpopup, running over Samba.
It permits to communicate with a windows computer that runs Winpopup,
sending or receiving message. (It also provides an alternative way to
communicate between Linux computers that run Samba).

%description -l ru_RU.KOI8-R
LinPopUp -   Winpopup    Samba.
       
 Winpopup. (    
   Linux-   Samba.)

%prep
%setup -q
#find . -type f -name "Makefile.in" -print0 | xargs -r0 touch
#touch aclocal.m4 config.h.in configure.in configure

%build
%configure
%make_build docdir=%_defaultdocdir/%name-%version \
 DATA_FILE=%_localstatedir/%name/messages.dat \
 SHARE_DIR=%_datadir/%name

%install
%makeinstall SHARE_DIR=%buildroot%_datadir/%name

# menu
mkdir -p %buildroot%_menudir
cat << EOF > %buildroot%_menudir/%name
?package(%name): \
command="%_bindir/linpopup -min" \
icon="%name.xpm" \
needs="X11" \
section="Networking/Instant messaging" \
title="LinPopUp" \
longtitle="A Linux enhanced port of winpopup"
EOF

# icons
%__mkdir_p %buildroot{%_miconsdir,%_liconsdir,%_iconsdir}
%__bzip2 -cd %SOURCE1 > %buildroot%_miconsdir/%name.xpm
%__bzip2 -cd %SOURCE2 > %buildroot%_iconsdir/%name.xpm
%__bzip2 -cd %SOURCE3 > %buildroot%_liconsdir/%name.xpm

# message base dir
%__mkdir_p %buildroot%_localstatedir/linpopup

%find_lang %name

%post
if [ ! -f %_localstatedir/linpopup/messages.dat ]; then
    touch %_localstatedir/linpopup/messages.dat;
    %__chmod 0666 %_localstatedir/linpopup/messages.dat;
    %__chgrp nobody %_localstatedir/linpopup/messages.dat;
fi
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS THANKS INSTALL TODO README MANUAL ChangeLog COPYING
%_bindir/*
%_man1dir/*
%dir %_datadir/%name
%_datadir/%name/*
%_menudir/%name
%_miconsdir/%name.xpm
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm
%dir %_localstatedir/%name

%changelog
* Fri Nov 30 2007 Grigory Batalov <bga@altlinux.ru> 2.0.7-alt2
- Typo fix.

* Thu Sep 01 2005 Grigory Batalov <bga@altlinux.ru> 2.0.7-alt1
- 2.0.7
  + French translation
  + Dutch translation

* Fri Jan 14 2005 Grigory Batalov <bga@altlinux.ru> 2.0.5-alt1
- 2.0.5 (CAN-2004-1282 fixed)

* Tue Nov 16 2004 Grigory Batalov <bga@altlinux.ru> 2.0.4-alt1
- 2.0.4 (german translation added)

* Sun May 30 2004 Grigory Batalov <bga@altlinux.ru> 2.0.3-alt2
- Specfile updated

* Fri Nov 14 2003 Grigory Batalov <bga@altlinux.ru> 2.0.3-alt1
- 2.0.3

* Tue Jul 01 2003 Grigory Batalov <bga@altlinux.ru> 2.0.1-alt1
- 2.0.1 (GTK+2 branch)

* Thu May 08 2003 Grigory Batalov <bga@altlinux.ru> 1.2.0-alt4
- Updated 08.05.03 (Preferences dialog rewritten)

* Sun May 04 2003 Grigory Batalov <bga@altlinux.ru> 1.2.0-alt3
- GTK+2 port dated 04.05.03

* Mon Oct 07 2002 Grigory Batalov <bga@altlinux.ru> 1.2.0-alt2
- Removed samba dependence
- Group changed to "Instant messaging"
- Specfile cleanup

* Wed Nov 21 2001 Grigory Batalov <bga@altlinux.ru> 1.2.0-alt1
- Built for ALTLinux

* Tue Sep 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-1mdk
- added by Gtz Waschk <waschk@linux-mandrake.com> :
- initial package
